import request from '@/utils/request'
import { downloadAction } from '@/utils/request'

export function getMarAnalysis(query) {
  return request({
    url: '/health/analysis/marAnalysis',
    method: 'get',
    params: query
  })
}

export function getTemperatureAnalysis(query) {
  return request({
    url: '/health/analysis/temperatureAnalysis',
    method: 'get',
    params: query
  })
}


export function getHealthAnalysis(query) {
  return request({
    url: '/health/analysis/healthAnalysis',
    method: 'get',
    params: query
  })
}

export function getHealthScreen(query) {
  return request({
    url: '/health/analysis/healthScreen',
    method: 'get',
    params: query
  })
}

export function getRecordAnalysis(query) {
  return request({
    url: '/health/analysis/recordAnalysis',
    method: 'get',
    params: query
  })
}

export function getRecordScreen(query) {
  return request({
    url: '/health/analysis/recordScreen',
    method: 'get',
    params: query
  })
}

export function exportRecordFull(query, filename) {
  return downloadAction('/health/analysis/recordFullExport', query, filename)
}

export function getDoctorAnalysis(query) {
  return request({
    url: '/health/analysis/doctorAnalysis',
    method: 'get',
    params: query
  })
}

export function getMilkPowderAnalysis(query) {
  return request({
    url: '/health/analysis/milkPowderAnalysis',
    method: 'get',
    params: query
  })
}
